cURL
curl --request POST \
--url https://api.buildwithchirp.com/v1/organization/apps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "my-app",
"name": "My App"
}
'import requests
url = "https://api.buildwithchirp.com/v1/organization/apps"
payload = {
"slug": "my-app",
"name": "My App"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({slug: 'my-app', name: 'My App'})
};
fetch('https://api.buildwithchirp.com/v1/organization/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "app_2DbBs7GWhGvVNJGrDXr5RG0mBWI",
"slug": "my-app",
"name": "My App",
"status": "active",
"createdAt": "2021-08-01T00:00:00Z",
"updatedAt": "2021-08-01T00:00:00Z"
}Apps
Create app
Create a new app in the organization
POST
/
v1
/
organization
/
apps
cURL
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Body
application/json
Response
Create a new app
Unique identifier for a App. Format: app_[test_]{ksuid}
Pattern:
^app_(?:test_)?[a-zA-Z0-9]{27}$Example:
"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"
App slug identifier
Example:
"my-app"
Human-readable name of the app
Example:
"My App"
App status
Available options:
active, billing_paused Example:
"active"
When the app was created
Example:
"2021-08-01T00:00:00Z"
When the app was last updated
Example:
"2021-08-01T00:00:00Z"
⌘I